VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkPastPresentationTimingGOOGLE const & () const
| operator VkPastPresentationTimingGOOGLE & ()
bool | operator== (PastPresentationTimingGOOGLE const &rhs) const
bool | operator!= (PastPresentationTimingGOOGLE const &rhs) const

## Data Fields

uint32_t | presentID
uint64_t | desiredPresentTime
uint64_t | actualPresentTime
uint64_t | earliestPresentTime
uint64_t | presentMargin

## Detailed Description

Definition at line 7480 of file vulkan.hpp.

## Member Function Documentation

## operator VkPastPresentationTimingGOOGLE &()

VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::operator VkPastPresentationTimingGOOGLE & | ( |  | ) |

inline

Definition at line 7487 of file vulkan.hpp.

{
return *reinterpret_cast<VkPastPresentationTimingGOOGLE*>(this);
}

## operator VkPastPresentationTimingGOOGLE const &()

VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::operator VkPastPresentationTimingGOOGLE const & | ( |  | ) | const

inline

Definition at line 7482 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPastPresentationTimingGOOGLE*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::operator!= | ( | PastPresentationTimingGOOGLE const & | rhs | ) | const

inline

Definition at line 7501 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::operator== | ( | PastPresentationTimingGOOGLE const & | rhs | ) | const

inline

Definition at line 7492 of file vulkan.hpp.

{
return ( presentID == rhs.presentID )
&& ( desiredPresentTime == rhs.desiredPresentTime )
&& ( actualPresentTime == rhs.actualPresentTime )
&& ( earliestPresentTime == rhs.earliestPresentTime )
&& ( presentMargin == rhs.presentMargin );
}

References actualPresentTime, desiredPresentTime, earliestPresentTime, presentID, and presentMargin.

Referenced by operator!=().

## Field Documentation

## actualPresentTime

uint64_t VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::actualPresentTime

Definition at line 7508 of file vulkan.hpp.

Referenced by operator==().

## desiredPresentTime

uint64_t VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::desiredPresentTime

Definition at line 7507 of file vulkan.hpp.

Referenced by operator==().

## earliestPresentTime

uint64_t VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::earliestPresentTime

Definition at line 7509 of file vulkan.hpp.

Referenced by operator==().

## presentID

uint32_t VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::presentID

Definition at line 7506 of file vulkan.hpp.

Referenced by operator==().

## presentMargin

uint64_t VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::presentMargin

Definition at line 7510 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::presentMargin
uint64_t presentMargin
Definition: vulkan.hpp:7510
VkPastPresentationTimingGOOGLE
Definition: vulkan_core.h:7155
VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::presentID
uint32_t presentID
Definition: vulkan.hpp:7506
VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::actualPresentTime
uint64_t actualPresentTime
Definition: vulkan.hpp:7508
VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::desiredPresentTime
uint64_t desiredPresentTime
Definition: vulkan.hpp:7507
VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::earliestPresentTime
uint64_t earliestPresentTime
Definition: vulkan.hpp:7509
VULKAN_HPP_NAMESPACE::PastPresentationTimingGOOGLE::operator==
bool operator==(PastPresentationTimingGOOGLE const &rhs) const
Definition: vulkan.hpp:7492